version: '3.8'

services:
  app:
    build: .
    image: emprego_itapolis
    container_name: emprego_itapolis_dom
    restart: always
    ports:
      - "3005:3005"
    expose:
      - 3005
    environment:
      - NODE_ENV=production
      - JWT_SECRET=${JWT_SECRET}
      - JWT_REFRESH_SECRET=${JWT_REFRESH_SECRET}
      - API_URL=${API_URL}
    volumes:
      - .:/app
      - /app/node_modules
